View Issue Details

IDProjectCategoryView StatusLast Update
0004984CentOS-6autofspublic2011-10-17 21:33
Reporterq7joey 
PrioritynormalSeveritymajorReproducibilityalways
Status newResolutionopen 
Product Version6.0 
Target VersionFixed in Version 
Summary0004984: trying to access lots of automount points fails
Descriptiontrying to access a lot of automount points in rapid succession (like might happen for bulk email delivery) causes a failure where automount just stops mounting anything for some undetermined amount of time. this is usually around 100-200 mounts. no log messages are generated.
Additional Informationthis works fine with 5.6 and there are no obvious config differences that i've found. it isn't any kind of mountpoint count because if i wait a bit, then i can get some more mounted until it hits the problem again. i have run tests to limit it to one server, changed the sysconfig/autofs file to use nfs3 by default (not running 4 yet), all without any effect. i haven't been able to identify anything upstream yet that could address this, but maybe there is something pending from 6.1?
TagsNo tags attached.

Activities

q7joey

q7joey

2011-07-18 20:39

reporter   ~0013005

i guess i should clarify, that when this issue arises, it doesn't hang, it just stops making the mounts and so access fails with a 'no such file or directory' type error.
q7joey

q7joey

2011-09-26 23:48

reporter   ~0013402

i have just updated to the autofs from the cr repo. no change to this bug yet. maybe there is a kernel update pending.
q7joey

q7joey

2011-10-03 16:58

reporter   ~0013448

just tested with new kernel and it still fails.

is there someone watching these with access to an official rhel box to test?

i have 1800+ entries in my automount map for /home. i test by doing something like:

ypcat -k auto.home | cut -d' ' -f1 | while read x; do df /home/"$x"; done

after about 50 directories, it starts failing the mount. wait a few minutes and it will clear the issue and get through another batch.
q7joey

q7joey

2011-10-17 20:55

reporter   ~0013559

did some more testing after latest kernel. bug still present. but i'm pretty sure that the actual issue is with the mount() system call for nfs. it looks like perhaps it is running out of low number ports to use for mounting. c5 doesn't show this problem, so perhaps some values have been changed in the kernel as to how many ports are available for nfs mounts, or something of that sort. i'll continue digging and updating this bug, unless a new bug should be opened based on my theory that it is not automount itself that is the problem.
q7joey

q7joey

2011-10-17 21:33

reporter   ~0013561

aha! the bug is because nfs v4 is now tried first on mount. and v4 doesn't use a separate mount interface, it all goes over the nfs rpc and it uses tcp and it wants a privileged port. so it quickly burns up all the privileged ports and then things go downhill quickly. since i don't have v4 capable servers, i am not sure yet if this is a problem with a fully function v4 network. as a workaround i have added nfsvers=3 into my auto.master file and that seems to have fixed things.

Issue History

Date Modified Username Field Change
2011-07-18 20:37 q7joey New Issue
2011-07-18 20:39 q7joey Note Added: 0013005
2011-09-26 23:48 q7joey Note Added: 0013402
2011-10-03 16:58 q7joey Note Added: 0013448
2011-10-17 20:55 q7joey Note Added: 0013559
2011-10-17 21:33 q7joey Note Added: 0013561